#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>
#include <QListWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>


class MainWindow : public QWidget
{
   Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = nullptr);



    void CreateGUI();

signals:

public slots:
    void OnButtonClicked();
    void AddItem();
private:
    QVBoxLayout *vbLayout;
    QHBoxLayout *hbLayout;
    QLabel *label;
    QLineEdit *lineEdit;
    QPushButton *button;
    QListWidget *list;
};

#endif // MAINWINDOW_H
